<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Rendu SVG piloté par le réseau:  Fichier source de include/module/aritmetique.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Rendu SVG piloté par le réseau
   &#160;<span id="projectnumber">v1.0</span>
   </div>
   <div id="projectbrief">Projet informatique de Licence 3 ingénerie informatique</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_dc1aacf9e28ad733d01de42bc03b5008.html">module</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">aritmetique.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="aritmetique_8hpp.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#ifndef ARITMETIQUE_HPP</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#define ARITMETIQUE_HPP</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">// INCLUDES</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;stdlib.h&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;stdio.h&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;regex&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &quot;lib/exprtk.hpp&quot;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment">// NAMESPACE</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacestd.html">std</a>;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment">// TYPEDEF</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="aritmetique_8hpp.html#a634f2e2245ac87de466e2810dee4f841">   38</a></span>&#160;<span class="keyword">typedef</span> <span class="keywordtype">double</span> <a class="code" href="aritmetique_8hpp.html#a634f2e2245ac87de466e2810dee4f841">T</a>;</div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="aritmetique_8hpp.html#aa2f8e438a8ab3d889f26822a7f1df788">   39</a></span>&#160;<span class="keyword">typedef</span> exprtk::symbol_table&lt;T&gt; <a class="code" href="aritmetique_8hpp.html#aa2f8e438a8ab3d889f26822a7f1df788">symbol_table_t</a>;</div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="aritmetique_8hpp.html#a73b802b9a5f3550f9a410781124945ae">   40</a></span>&#160;<span class="keyword">typedef</span> exprtk::expression&lt;T&gt; <a class="code" href="aritmetique_8hpp.html#a73b802b9a5f3550f9a410781124945ae">expression_t</a>;</div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="aritmetique_8hpp.html#af02e8f8655dabbd5b1b63849de45da8b">   41</a></span>&#160;<span class="keyword">typedef</span> exprtk::parser&lt;T&gt; <a class="code" href="aritmetique_8hpp.html#af02e8f8655dabbd5b1b63849de45da8b">parser_t</a>;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="comment">// METHODS</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="keywordtype">string</span> <a class="code" href="aritmetique_8hpp.html#a39fe9daa802da54bc524d7e249890fb8">EvaluateArithmetic</a>(<span class="keywordtype">string</span> value);</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="aritmetique_8hpp_html_a73b802b9a5f3550f9a410781124945ae"><div class="ttname"><a href="aritmetique_8hpp.html#a73b802b9a5f3550f9a410781124945ae">expression_t</a></div><div class="ttdeci">exprtk::expression&lt; T &gt; expression_t</div><div class="ttdef"><b>Definition:</b> <a href="aritmetique_8hpp_source.html#l00040">aritmetique.hpp:40</a></div></div>
<div class="ttc" id="namespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div></div>
<div class="ttc" id="aritmetique_8hpp_html_af02e8f8655dabbd5b1b63849de45da8b"><div class="ttname"><a href="aritmetique_8hpp.html#af02e8f8655dabbd5b1b63849de45da8b">parser_t</a></div><div class="ttdeci">exprtk::parser&lt; T &gt; parser_t</div><div class="ttdef"><b>Definition:</b> <a href="aritmetique_8hpp_source.html#l00041">aritmetique.hpp:41</a></div></div>
<div class="ttc" id="aritmetique_8hpp_html_aa2f8e438a8ab3d889f26822a7f1df788"><div class="ttname"><a href="aritmetique_8hpp.html#aa2f8e438a8ab3d889f26822a7f1df788">symbol_table_t</a></div><div class="ttdeci">exprtk::symbol_table&lt; T &gt; symbol_table_t</div><div class="ttdef"><b>Definition:</b> <a href="aritmetique_8hpp_source.html#l00039">aritmetique.hpp:39</a></div></div>
<div class="ttc" id="aritmetique_8hpp_html_a634f2e2245ac87de466e2810dee4f841"><div class="ttname"><a href="aritmetique_8hpp.html#a634f2e2245ac87de466e2810dee4f841">T</a></div><div class="ttdeci">double T</div><div class="ttdef"><b>Definition:</b> <a href="aritmetique_8hpp_source.html#l00038">aritmetique.hpp:38</a></div></div>
<div class="ttc" id="aritmetique_8hpp_html_a39fe9daa802da54bc524d7e249890fb8"><div class="ttname"><a href="aritmetique_8hpp.html#a39fe9daa802da54bc524d7e249890fb8">EvaluateArithmetic</a></div><div class="ttdeci">string EvaluateArithmetic(string value)</div><div class="ttdoc">Méthode d&amp;#39;évaluation arithmétique. </div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
